This file contains Distutils interface for building a python extension of
opengl based volume rendering library (VolRenLib) developed at 
University of Texas Austin (http://ccvweb.csres.utexas.edu/software)

Building the extension requires SWIG (version 1.3.20 or higher).
This distribution contains source code of the UT Volume Rendering Library
(see ./src/VolRenLib-license.txt).
To build the extension and install the package:

python2.4 setup.py install

This will:
 1. build static library libVolume.a in ./build/temp.<platform_specifier>;
 2. build _UTVolumeLibrary.so  in ./build/lib.<platform_specifier>/UTpackages/UTvolrend;

 3. copy SWIG generated python module UTVolumeLibrary.py
    into .build/lib.<platform_specifier>/UTPackages/UTvolrend;
 
 3. install UTvolrend package into
      sys.exec_prefix/lib/python2.4/site-packages/UTpackages. 

The install command can be called with the following options:

   --install-platlib=INSTALL_DIR
installs built extensions in specified INSTALL_DIR
   --no-compile
	do not compile .py to .pyc

Example:
	python2.4 setup.py install --install-platlib=/home/somename/dev --no-compile

To build the extensions only:
   python2.4 setup.py build_ext
     or
   python2.4 setup.py build


To build the source distribution:
   python2.4 setup.py sdist
This will create a .tar file containing the source in the subdirectory 
"dist". 

To build binary distribution:
   python2.4 setup.py bdist


